#!/bin/sh
#
# $Id: autogen.sh 17979 2005-10-03 23:58:46Z kelnos $
#
# Copyright (c) 2002-2005
#         The Xfce development team. All rights reserved.
#
# Written for Xfce by Benedikt Meurer <benny@xfce.org>.
#

(type xdt-autogen) >/dev/null 2>&1 || {
  cat >&2 <<EOF
autogen.sh: You don't seem to have the Xfce development tools installed on
            your system, which are required to build this software.
            Please install the xfce4-dev-tools package first, available from
            http://xfce.org/~benny/projects/xfce4-dev-tools/.
EOF
  exit 1
}

XDT_AUTOGEN_REQUIRED_VERSION="4.7.3" xdt-autogen $@

# fix weird intltool quasi-b0rkness on my box
my_dir=`dirname $0`
for i in $my_dir/po/Makefile.in.in $my_dir/po/Makefile.in $my_dir/po/Makefile
do
  [ -f $i ] && sed -i -e \
      's/\$\(POFILES\) \$\(SOURCES\)/$(POFILES) $(SOURCES) $(GMOFILES)/;' $i
done

# vi:set ts=2 sw=2 et ai:
